package com.gjz.eduorder;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author Guan
 * @date 2022/12/26
 * discription
 */
@SpringBootApplication
@ComponentScan(basePackages = {"com.gjz"})
@EnableDiscoveryClient
@EnableFeignClients
@MapperScan("com.gjz.eduorder.mapper")
public class OrdersApplication {
    public static void main(String[] args) {
        SpringApplication.run(OrdersApplication.class,args);
    }
}
