package com.gjz.staservice;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author Guan
 * @date 2022/12/29
 * discription
 */
@SpringBootApplication
@ComponentScan(basePackages = {"com.gjz"})
@EnableDiscoveryClient
@EnableFeignClients
@MapperScan("com.gjz.staservice.mapper")
public class StaApplication {
    public static void main(String[] args) {
        SpringApplication.run(StaApplication.class,args);
    }
}
