package com.gjz.msmservice.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.aliyuncs.CommonRequest;
import com.aliyuncs.CommonResponse;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;
import com.gjz.msmservice.service.MsmService;
import com.gjz.servicebase.exceptionhandler.GuliException;
import com.google.gson.Gson;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.Map;

/**
 * @author Guan
 * @date 2022/12/6
 * discription
 */
@Service
public class MsmServiceImpl implements MsmService {

    //发送短信的方法
    @Override
    public boolean send(Map<String, Object> param, String phone) {

        if(StringUtils.isEmpty(phone)) return false;

        DefaultProfile profile =
            DefaultProfile.getProfile("default", "LTAI5tRtRCx6e86orqgwYA7d", "8FFXfFX6Is2XoxK6SEjwnN12EDKag2");
        IAcsClient client = new DefaultAcsClient(profile);

        //设置相关固定的参数
        CommonRequest request = new CommonRequest();
        //request.setProtocol(ProtocolType.HTTPS);
        request.setMethod(MethodType.POST);
        request.setDomain("dysmsapi.aliyuncs.com");
        request.setVersion("2017-05-25");
        request.setAction("SendSms");

        //设置发送相关的参数
        request.putQueryParameter("PhoneNumbers",phone);
        request.putQueryParameter("SignName","官家佐的博客");
        request.putQueryParameter("TemplateCode","SMS_263195012");
        request.putQueryParameter("TemplateParam", JSONObject.toJSONString(param));

        //最终发送
        try{
            CommonResponse response = client.getCommonResponse(request);
            boolean success = response.getHttpResponse().isSuccess();
            return success;
        }catch (Exception e){
//            e.printStackTrace();
//            return false;
            throw  new GuliException(20001,"发送失败");
        }

    }
}
