package com.gjz.educenter;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author Guan
 * @date 2022/12/6
 * discription
 */
@ComponentScan({"com.gjz"})
@SpringBootApplication
@EnableDiscoveryClient //nacos注册
@MapperScan("com.gjz.educenter.mapper")
public class UcenterApplication {
    public static void main(String[] args) {
        SpringApplication.run(UcenterApplication.class,args);
    }
}
